Subject: Non blocking I/O
From: [email-masked] (Mike Bernson)

17 May 1997 14:52:01 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Mailer: Mozilla 3.01 (X11; I; BSD/OS 3.0 i386)
MIME-Version: 1.0
Original-To: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

I am trying to set the the non-block read or write for a 
tcp-socket.

I do the following fcntl(fd, SETFL, O_NONBLOCK) which does not
return any errors. Then a do a read on the fd and it blocks. 

I need a way to do none blocking reads or find out how much data
is pending so I can do the read for just that amount of data.

The same would be nice for writes but not needed.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".